Skip to main content
PUT

Portkey is now PRISMA AIRS AI Gateway. See it in action.

Contact Us

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

policyUsageLimitsId
string<uuid>
required

Usage limits policy UUID

Body

application/json
name
string

Policy name

Maximum string length: 255
description
string | null

Policy description

Maximum string length: 500
conditions
object[]

Array of conditions that define which requests the policy applies to. If provided, this replaces the existing conditions on the policy.

Minimum array length: 1
credit_limit
number

Maximum usage allowed

Required range: x >= 0
alert_threshold
number | null

Threshold at which to send alerts. Must be less than credit_limit.

Required range: x >= 0
periodic_reset
enum<string> | null

Reset period. Set to null to remove periodic reset. Cannot be combined with periodic_reset_days.

Available options:
monthly,
weekly
periodic_reset_days
integer | null

Number of days after which usage resets. Cannot be combined with periodic_reset.

Required range: 1 <= x <= 365
next_usage_reset_at
string<date-time> | null

ISO 8601 timestamp for the next scheduled usage reset.

reset_usage_for_value
string

Reset usage for a specific value key (e.g., API key). This will reset the usage counter for that key to 0.

Response

OK

The response is of type object.

Last modified on August 3, 2026